## linux 3.12.6

=== Makefile ===
VERSION = 3
PATCHLEVEL = 12
SUBLEVEL = 6
EXTRAVERSION =
NAME = One Giant Leap for Frogkind

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP

=== debian/changelog ===
linux (3.12.6-2tanglu1) staging; urgency=medium

  * Tanglu build 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jan 2014 16:47:19 +0100

linux (3.12.6-2) unstable; urgency=medium

  [ Bastian Blank ]
  * [x86] Make MICROCODE built-in for early microcode loading.

  [ Ben Hutchings ]
  * [armhf] linux-headers: Fix typo in compiler dependency

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Dec 2013 16:56:20 +0100

linux (3.12.6-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.4
    - net: x86: bpf: don't forget to free sk_filter (v2)
    - net: Fix "ip rule delete table 256" (Closes: #724783)
    - net-tcp: fix panic in tcp_fastopen_cache_set()
    - inet: prevent leakage of uninitialized memory to user in recv syscalls
      (CVE-2013-6405)
    - ping: prevent NULL pointer dereference on write to msg_name
      (CVE-2013-6432)
    - ipv6: fix leaking uninitialized port number of offender sockaddr
    - netfilter: push reasm skb through instead of original frag skbs
    - packet: fix use after free race in send path when dev is released
    - gso: handle new frag_list of frags GRO packets
    - net: update consumers of MSG_MORE to recognize MSG_SENDPAGE_NOTLAST
    - xfs: add capability check to free eofblocks ioctl
    - iommu/vt-d: Fixed interaction of VFIO_IOMMU_MAP_DMA with IOMMU address
      limits
    - aio: Fix a trinity splat
    - aio: prevent double free in ioctx_alloc
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.5
    - [s390,s390x] crypto: Fix aes-xts parameter corruption
    - crypto: scatterwalk - Set the chain pointer indication bit
    - crypto: ccm - Fix handling of zero plaintext when computing mac
    - crypto: authenc - Find proper IV address in ablkcipher callback
    - [armhf] mvebu: use the virtual CPU registers to access coherency
      registers
    - vfs: fix subtle use-after-free of pipe_inode_info
    - SCSI: bfa: Fix crash when symb name set for offline vport
    - SCSI: hpsa: do not discard scsi status on aborted commands
    - [hppa] fix mmap(MAP_FIXED|MAP_SHARED) to already mmapped address
    - net: update consumers of MSG_MORE to recognize MSG_SENDPAGE_NOTLAST
    - SCSI: Disable WRITE SAME for RAID and virtual host adapter drivers
    - tg3: avoid double-freeing of rx data memory
    - crypto: scatterwalk - Use sg_chain_ptr on chain entries
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.6
    - ALSA: memalloc.h - fix wrong truncation of dma_addr_t
    - [arm] 7912/1: check stack pointer in get_wchan
    - [arm] 7913/1: fix framepointer check in unwind_frame
    - KVM: Improve create VCPU parameter (CVE-2013-4587)
    - [x86] KVM: Fix potential divide by 0 in lapic (CVE-2013-6367)
    - [x86] KVM: Convert vapic synchronization to _cached functions
      (CVE-2013-6368)
    - [x86] KVM: fix guest-initiated crash with x2apic (CVE-2013-6376)
    - xfs: growfs overruns AGFL buffer on V4 filesystems
    - futex: fix handling of read-only-mapped hugepages
    - nfsd: when reusing an existing repcache entry, unhash it first
    - [armhf] usb: musb: musb_cppi41: handle pre-mature TX complete interrupt
    - powerpc: Fix PTE page address mismatch in pgtable ctor/dtor
    - mm: memcg: do not allow task about to OOM kill to bypass the limit
    - mm: memcg: fix race condition between memcg teardown and swapin
    - cfg80211: disable 5/10 MHz support for all drivers
    - Revert "mac80211: allow disable power save in mesh"
    - mac80211: fix scheduled scan rtnl deadlock
    - iwlwifi: mvm: check sta_id/drain values in debugfs
    - Btrfs: fix access_ok() check in btrfs_ioctl_send()
    - dm snapshot: avoid snapshot space leak on crash
    - dm array: fix a reference counting bug in shadow_ablock
    - dm space map metadata: return on failure in sm_metadata_new_block
    - dm space map: disallow decrementing a reference count below zero
    - dm table: fail dm_table_create on dm_round_up overflow
    - dm thin: switch to read only mode if a mapping insert fails
    - dm thin: switch to read-only mode if metadata space is exhausted
    - dm thin: always fallback the pool mode if commit fails
    - dm thin: re-establish read-only state when switching to fail mode
    - dm thin: allow pool in read-only mode to transition to read-write mode
    - media/cxd2820r_core: Fix regression in 3.12.3
    - sched: Avoid throttle_cfs_rq() racing with period_timer stopping
    - Btrfs: do a full search everytime in btrfs_search_old_slot
    - Btrfs: reset intwrite on transaction abort
    - Btrfs: fix memory leak of chunks' extent map
    - Btrfs: fix hole check in log_one_extent
    - Btrfs: fix incorrect inode acl reset
    - Btrfs: take ordered root lock when removing ordered operations inode
    - Btrfs: do not run snapshot-aware defragment on error
    - Btrfs: fix a crash when running balance and defrag concurrently
    - Btrfs: fix lockdep error in async commit

  [ Ben Hutchings ]
  * udeb: Add ohci-pci to usb-modules (Closes: #730789)
  * cifs: Enable CIFS_SMB2
  * [hppa] Update flavours and configuration, thanks to Helge Deller
    (Closes: #721191)
    - Remove parisc-smp and parisc64 (UP) flavours
    - Build with gcc-4.8
    - rtc: Enable HP_SDC_RTC as module
    - megaraid: Enable MEGARAID_NEWGEN
    - [/parisc64-smp] Enable MLONGCALLS, DISCONTIGMEM_MANUAL
    - [/parisc64-smp] Enable PATA_SIL680, AGP, AGP_PARISC, DRM,
      DRM_RADEON as modules
  * firmware: Disable FW_LOADER_USER_HELPER (see #725714)
  * firmware: Improve logging of success/failure for direct file loading
  * media: az6007: support Technisat Cablestar Combo HDCI (minus remote)
    (Closes: #732106)
  * linux-source: Compress with gzip -1 (Closes: #725492)
  * [alpha] Prevent a NULL ptr dereference in csum_partial_copy
  * Set ABI to 1
  * [ia64] Enable PSTORE, EFI_VARS_PSTORE
  * [x86,ia64] udeb: Remove zlib-modules as zlib is now built-in
  * [rt] Update to 3.12.5-rt7:


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.4
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.7), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, bc, gcc-4.8 [alpha amd64 armel armhf hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.7 [sh4]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-3.12
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.12 with Debian patches
 This package provides source code for the Linux kernel version 3.12. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.12
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.12
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.12.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.12/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.12
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.12
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.12-1
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.12
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.12-1-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.12-1-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.12-1-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.12-1-alpha-generic (= ${binary:Version}), linux-headers-3.12-1-alpha-smp (= ${binary:Version}), linux-headers-3.12-1-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.12-1-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.12-1
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.12-1, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.12-1-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.12-1-alpha-generic
Architecture: alpha
Provides: linux-modules-3.12-1-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha
 The Linux kernel 3.12 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.12-1-alpha-generic
Architecture: alpha
Depends: linux-headers-3.12-1-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-1-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-1-alpha-generic, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-1-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-1-alpha-generic package.

Package: linux-image-3.12-1-alpha-smp
Architecture: alpha
Provides: linux-modules-3.12-1-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha SMP
 The Linux kernel 3.12 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.12-1-alpha-smp
Architecture: alpha
Depends: linux-headers-3.12-1-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-1-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-1-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-1-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-1-alpha-smp package.

Package: linux-image-3.12-1-alpha-legacy
Architecture: alpha
Provides: linux-modules-3.12-1-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha Legacy
 The Linux kernel 3.12 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.12-1-alpha-legacy
Architecture: alpha
Depends: linux-headers-3.12-1-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-1-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-1-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-1-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-1-alpha-legacy package.

Package: linux-headers-3.12-1-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.12-1-amd64 (= ${binary:Version}), linux-headers-3.12-1-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: nic-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.12-1-amd64-di, nic-shared-modules-3.12-1-amd64-di, core-modules-3.12-1-amd64-di, i2c-modules-3.12-1-amd64-di, crc-modules-3.12-1-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: nic-wireless-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.12-1-amd64-di, nic-shared-modules-3.12-1-amd64-di, core-modules-3.12-1-amd64-di, usb-modules-3.12-1-amd64-di, mmc-modules-3.12-1-amd64-di, pcmcia-modules-3.12-1-amd64-di, crc-modules-3.12-1-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: nic-shared-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.12-1-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: serial-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.12-1-amd64-di, pcmcia-modules-3.12-1-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: usb-serial-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.12-1-amd64-di, usb-modules-3.12-1-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: ppp-modules-3.12-1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.12-1-amd64-di, serial-modules-3.12-1-amd64-di, crc-modules-3.12-1-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.12-1-amd64
Package-Type: udeb

Package: pata-modules-3.12-1-amd64-di
Architecture: amd64

## linux 3.12.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 12
-SUBLEVEL = 6
+SUBLEVEL = 8
 EXTRAVERSION =
 NAME = One Giant Leap for Frogkind

=== debian/changelog ===
linux (3.12.8-1tanglu1) staging; urgency=medium

  * Merge with debian unstable, remainging changes:
    - fix archive url's to point to tanglu servers

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 28 Jan 2014 22:17:17 +0100

linux (3.12.8-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.7
    - [powerpc] kvm: fix rare but potential deadlock scene
    - [m68k] TTY: pmac_zilog, check existence of ports in pmz_console_init()
    - xhci: Limit the spurious wakeup fix only to HP machines (fixes
      regression in 3.12)
    - usb: chipidea: host: Only disable the vbus regulator if it is not NULL
      (fixes regression in 3.12)
    - aio: fix kioctx leak introduced by "aio: Fix a trinity splat"
    - iser-target: Move INIT_WORK setup into isert_create_device_ib_res
    - [x86] idle: Repair large-server 50-watt idle-power regression
      (fixes regression in 3.10)
    - ext4: call ext4_error_inode() if jbd2_journal_dirty_metadata() fails
    - ext4: fix use-after-free in ext4_mb_new_blocks
    - ext4: fix del_timer() misuse for ->s_err_report
    - ext4: add explicit casts when masking cluster sizes
    - ext4: fix bigalloc regression
    - sched/rt: Fix rq's cpupri leak while enqueue/dequeue child RT entities
    - net_dma: mark broken (fixes potential data loss)
    - drm/i915: Take modeset locks around intel_modeset_setup_hw_state()
    - drm/i915: Hold mutex across i915_gem_release
    - drm/i915: Fix use-after-free in do_switch
    - drm/i915: don't update the dri1 breadcrumb with modesetting
    - drm/i915: Fix erroneous dereference of batch_obj inside reset_status
    - ceph: Avoid data inconsistency due to d-cache aliasing in readpage()
    - tg3: Expand 4g_overflow_test workaround to skb fragments of any size.
    - cgroup: fix cgroup_create() error handling path
    - [powerpc] auxvec.h: account for AT_HWCAP2 in AT_VECTOR_SIZE_BASE
    - ath9k_htc: properly set MAC address and BSSID mask (CVE-2013-4579)
      (Closes: #729573)
    - KVM: nVMX: Unconditionally uninit the MMU on nested vmexit
    - [x86] KVM: Fix APIC map calculation after re-enabling
    - [powerpc] Fix bad stack check in exception entry
    - libata: implement ATA_HORKAGE_NO_NCQ_TRIM and apply it to Micro M500 SSDs
      (fixes potential data loss)
    - radiotap: fix bitmap-end-finding buffer overrun
    - mm: numa: serialise parallel get_user_page against THP migration
    - mm: numa: call MMU notifiers on THP migration
    - mm: clear pmd_numa before invalidating
    - mm: numa: do not clear PTE for pte_numa update
    - mm: numa: ensure anon_vma is locked to prevent parallel THP splits
    - sched: numa: skip inaccessible VMAs
    - mm: numa: clear numa hinting information on mprotect
    - mm: fix TLB flush race between migration, and change_protection_range
    - mm: numa: guarantee that tlb_flush_pending updates are visible before
      page table updates
    - mm/mempolicy: correct putback method for isolate pages if failed
    - mm/compaction: respect ignore_skip_hint in update_pageblock_skip
    - mm/hugetlb: check for pte NULL pointer in __page_check_address()
    - mm: munlock: fix a bug where THP tail page is encountered
    - mm: munlock: fix deadlock in __munlock_pagevec()
    - mm: fix use-after-free in sys_remap_file_pages
    - Input: allocate absinfo data when setting ABS capability
    - GFS2: Fix use-after-free race when calling gfs2_remove_from_ail
    - GFS2: Fix slab memory leak in gfs2_bufdata
    - GFS2: Fix incorrect invalidation for DIO/buffered I/O
    - [s390] 3270: fix allocation of tty3270_screen structure
    - [sh] always link in helper functions extracted from libgcc
    - selinux: look for IPsec labels on both inbound and outbound packets
    - selinux: process labeled IPsec TCP SYN-ACK packets properly in
      selinux_ip_postroute()
    - aio: clean up and fix aio_setup_ring page mapping
    - aio/migratepages: make aio migrate pages sane
    - ACPIPHP / radeon / nouveau: Fix VGA switcheroo problem related to hotplug
      (regression in 3.12)
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.8
    - IPv6: Fixed support for blackhole and prohibit routes
    - net: do not pretend FRAGLIST support
    - tun: unbreak truncated packet signalling
    - macvtap: signal truncated packets
    - br: fix use of ->rx_handler_data in code executed on non-rx_handler path
    - inet: fix NULL pointer Oops in fib(6)_rule_suppress
    - vxlan: release rt when found circular route
    - ipv6: fix illegal mac_header comparison on 32bit
    - ip_gre: fix msg_name parsing for recvfrom/recvmsg
    - net: inet_diag: zero out uninitialized idiag_{src,dst} fields
    - drivers/net/hamradio: Integer overflow in hdlcdrv_ioctl()
    - hamradio/yam: fix info leak in ioctl
    - net: fec: fix potential use after free
    - rds: prevent dereference of a NULL device
    - arc_emac: fix potential use after free
    - net: rose: restore old recvmsg behavior (regression in 3.12.4)
    - vlan: Fix header ops passthru when doing TX VLAN offload.
    - virtio-net: fix refill races during restore
    - net: llc: fix use after free in llc_ui_recvmsg
    - netpoll: Fix missing TXQ unlock and and OOPS.
    - bridge: use spin_lock_bh() in br_multicast_set_hash_max
    - sfc: Add length checks to efx_xmit_with_hwtstamp() and
      efx_ptp_is_ptp_tx()
    - sfc: PTP: Moderate log message on event queue overflow
    - sfc: Rate-limit log message for PTP packets without a matching timestamp
      event
    - [arm] fix "bad mode in ... handler" message for undefined instructions
    - [arm] 7923/1: mm: fix dcache flush logic for compound high pages
    - [hppa] Ensure full cache coherency for kmap/kunmap
    - clk: clk-divider: fix divisor > 255 bug
    - mfd: rtsx_pcr: Disable interrupts before cancelling delayed works
    - netfilter: fix wrong byte order in nf_ct_seqadj_set internal information
      (regression in 3.12)
